Subject: Re: bug#34983: 27.0.50; Gnus cannot start

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 25 Mar 2019 10:12:48 -0700

Colin Baxter <[email-masked]> writes:

>>>>>> Eric Abrahamsen <[email-masked]> writes:
>
>     > On 03/25/19 12:24 PM, Colin Baxter wrote:
>     >>>>>>> Bastien <[email-masked]> writes:
>     >> 
>     >> > Hello, Colin Baxter <[email-masked]> writes:
>     >> 
>     >> >> Warning: Warning - invalid active: "nnrss:AnnPhys" 2059 1 y;
>     >> >> Warning - invalid active: "nnrss:JMO" 284 1 y; Warning -
>     >> invalid >> active: "nnrss:PRA" 307 1 y; Warning - invalid active:
>     >> >> "nnrss:PRL" 852 1 y; Warning - invalid active:
>     >> "nnrss:ProcRSocA" >> 141 1 y; Warning - invalid active:
>     >> "nnrss:JPhysA" 133 1 y
>     >> 
>     >> > FWIW, I also had the same kind of warnings with 27.0.50.
>
>     > This part of the bug, thankfully, is fairly simple, and I think
>     > the attached patch will fix it. Will one or more of you apply this
>     > and give it a shot?
>
> Ok, I've applied the patch to emacs-27.0.50 and gnus opens the nnrss feeds
> satisfactorily - as it does with my other newsgroups and the imap
> emails. There are no errors or warnings at all. I did `make clean' and
> deleted lisp/gnus/*.elc files before the final `make', so I may have
> gone overboard in the build.

There's no such thing as overboard when you're cleaning out dead files!